<div *ngIf="!componentFamily" class="d-flex justify-content-center h-100">
  <div class="spinner-border m-auto" role="status">
    <span class="sr-only">Loading...</span>
  </div>
</div>

<div *ngIf="componentFamily" class="row justify-content-between mb-4">
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <div class="d-flex align-items-center">
      <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
        <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
      </button>
      <h2 class="mb-0">{{componentFamily.name}}</h2>
    </div>
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <form #componentFamilyForm="ngForm" (ngSubmit)="submit(componentFamilyForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="name">Nom</label>
                <input id="name" class="form-control" name="name" type="text" [ngModel]="componentFamily.name">
              </div>
              <div class="col-md-3 align-self-end">
                <button class="btn btn-info" type="submit" [disabled]="!componentFamilyForm.form.valid">Mettre à
                  jour
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<div class="row">
  <div class="col-lg-12 col-md-12 col-sm-12">
    <table class="table table-striped">
      <thead>
      <tr>
        <th scope="col">Nom</th>
        <th scope="col">Famille de composant</th>
        <th scope="col">Fournisseur</th>
        <th scope="col">Stock</th>
        <th scope="col">Prix</th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngIf="componentPage && componentPage.results.length > 0; else fakeLines">
        <tr *ngFor="let elem of componentPage.results;" [routerLink]="['/components/' + elem.id]">
          <td>{{elem.name}}</td>
          <td>{{elem.componentFamily}}</td>
          <td>{{elem.provider}}</td>
          <td>{{elem.stock}}</td>
          <td>{{elem.amount}}€</td>
        </tr>
      </ng-container>
      <ng-template #fakeLines>
        <tr>
          <td colspan="5">Aucun composant</td>
        </tr>
      </ng-template>
      </tbody>
    </table>
  </div>

  <div *ngIf="componentPage" class="col-12">
    <ngb-pagination [collectionSize]="componentPage.results.length" [(page)]="query.page"
                    [pageSize]="query.page_size"
                    (pageChange)="getComponents()">
    </ngb-pagination>
  </div>

</div>
